package com.liquidnet.service.sweet.constant;

/**
 *
 */
public class SweetConstant {

    public final static String REDIS_KEY_SWEET_MANUAL_PUSH_LIST = "sweet:manual:pushList";
    public final static String REDIS_KEY_SWEET_MANUAL_TIME_LIST = "sweet:manual:timeList:manual:";
    public final static String REDIS_KEY_SWEET_MANUAL_NOTIFY_LIST = "sweet:manual:notify:manual:";
    public final static String REDIS_KEY_SWEET_MANUAL_RICH_TEXT = "sweet:manual:richText:manual:";
    public final static String REDIS_KEY_SWEET_MANUAL_SORT = "sweet:manual:sort:manual:";

    public final static String REDIS_KEY_SWEET_ARTISTS_RELATION = "sweet:artists:relation:uid:";

    public final static String REDIS_KEY_SWEET_REMIND="sweet:remind:unionId:";
    public static final String REDIS_KEY_SWEET_REMIND_ALL = "sweet:remind:unionId*";

    public enum ManualPosition {
        artist("艺人"),
        signingTime("签售时间"),
        foodAndAmusement("吃喝玩乐"),
        siteMap("现场地图"),
        howToReach("如何到达"),
//        POSITION_6("官方售卖"),
        officialSupport("官方支持"),
        audienceNotice("观众须知"),
        preventionGuidelines("防疫指南"),
        notice("通知"),
        strategy("观演攻略");

        private String message;

        ManualPosition(String message) {
            this.message = message;
        }

        public String getMessage() {
            return message;
        }
    }
}
